Package org.eclipse.draw2d

# Class Figure.ReverseFigureChildrenIterator

java.lang.Object
org.eclipse.draw2d.Figure.FigureIterator
org.eclipse.draw2d.Figure.ReverseFigureChildrenIterator

All Implemented Interfaces:
  `Iterator<IFigure>`

Enclosing class:
  `Figure`

public static final class Figure.ReverseFigureChildrenIterator extends Figure.FigureIterator implements Iterator<IFigure>
Figure children iterator which implements the java iterator interface for more convenient figure iteration.

Since:
  3.13

## Constructor Summary

Constructors
Constructor
Description
`ReverseFigureChildrenIterator(IFigure figure)`

## Method Summary

Modifier and Type
Method
Description
`IFigure`
`next()`

### Methods inherited from class org.eclipse.draw2d.Figure.FigureIterator

`hasNext, nextFigure`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, remove`

## Constructor Details

### ReverseFigureChildrenIterator

public ReverseFigureChildrenIterator(IFigure figure)

## Method Details

### next

public IFigure next()

Specified by:
  `next` in interface `Iterator<IFigure>`